%global pypi_name django-filter
%global module_name django_filter
%global commitId b84d0ec9227133260bc28ea1d0acd4ae85d25fcd

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        23.2
Release:        1%{?dist}
Summary:        Django-filter is a reusable Django application for allowing users to filter querysets dynamically

License:        BSD
URL:            https://github.com/carltongibson/django-filter
Source0:        python-django-filter-b84d0ec9227133260bc28ea1d0acd4ae85d25fcd.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
Django-filter is a reusable Django application allowing users to declaratively
add dynamic QuerySet filtering from URL parameters.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

Requires:       python%{python3_pkgversion}-django >= 3.2

%description -n python%{python3_pkgversion}-%{pypi_name}
Django-filter is a reusable Django application allowing users to declaratively
add dynamic QuerySet filtering from URL parameters.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGES.rst README.rst
%license LICENSE
%{python3_sitelib}/%{module_name}s
%{python3_sitelib}/%{module_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Jul 13 2023 Satoe Imaishi <simaishi@redhat.com> 23.2-1
- Update to 23.2

* Fri Aug 26 2022 Dimitri Savineau <dsavinea@redhat.com> 22.1-2
- Obsolete the old Python 3.8 package for smooth upgrade

* Wed Aug 24 2022 Dimitri Savineau <dsavinea@redhat.com> 22.1-1
- Initial release
